curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "user",
"attributes": {
"display_name": "<string>",
"custom_fields": {},
"emails": [
"primary@example.com",
"secondary@example.com"
]
},
"relationships": {
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"employments": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "employment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"current_employment": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "employment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"admin_assistant_roles": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "admin_assistant_role",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}Returns a single user by UUID
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "user",
"attributes": {
"display_name": "<string>",
"custom_fields": {},
"emails": [
"primary@example.com",
"secondary@example.com"
]
},
"relationships": {
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"employments": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "employment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"current_employment": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "employment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"admin_assistant_roles": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "admin_assistant_role",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}
}
}